_alpm_event_t(3)

NAME
_alpm_event_t - Events.

SYNOPSIS

#include <alpm.h>

  Data Fields
alpm_event_type_t type
alpm_event_any_t any
alpm_event_package_operation_t package_operation
alpm_event_optdep_removal_t optdep_removal
alpm_event_scriptlet_info_t scriptlet_info
alpm_event_database_missing_t database_missing
alpm_event_pkgdownload_t pkgdownload
alpm_event_pacnew_created_t pacnew_created
alpm_event_pacsave_created_t pacsave_created
alpm_event_hook_t hook
alpm_event_hook_run_t hook_run

Detailed Description

Events. This is an union passed to the callback, that allows the frontend to know which type of event was triggered (via type). It is then possible to typecast the pointer to the right structure, or use the union field, in order to access event-specific data.

Author

Generated automatically by Doxygen for libalpm from the source code.